import { Component } from "@angular/core";

import { I18nService } from "../../services/internationalisation.service";
import { ApplicationSetupService } from "../../services/app-setup.service";
import { FieldsetContainerComponent } from "../fieldset-container/fieldset-container.component";

@Component({
    selector: "basin-fieldset-container",
    templateUrl: "../fieldset-container/fieldset-container.component.html",
    styleUrls: [
        "../fieldset-container/fieldset-container.component.scss"
    ]
})
export class BasinFieldsetContainerComponent extends FieldsetContainerComponent {

    constructor(i18nService: I18nService, appSetupService: ApplicationSetupService) {
        super(i18nService, appSetupService);
    }

    protected onFieldsetListChange() {
        // disable "add" button (and "how many children" select)
        this._fieldsetComponents.forEach(fs => {
            fs.showAddChildren = false;
        });
    }
}
