import { Component } from "@angular/core";

import { FieldSet } from "../../formulaire/elements/fieldset";
import { I18nService } from "../../services/internationalisation.service";
import { ApplicationSetupService } from "../../services/app-setup.service";
import { FieldsetContainerComponent } from "../fieldset-container/fieldset-container.component";

@Component({
    selector: "structure-fieldset-container",
    templateUrl: "../fieldset-container/fieldset-container.component.html",
    styleUrls: [
        "../fieldset-container/fieldset-container.component.scss"
    ]
})
export class StructureFieldsetContainerComponent extends FieldsetContainerComponent {

    constructor(i18nService: I18nService, appSetupService: ApplicationSetupService) {
        super(i18nService, appSetupService);
    }

    /**
     * Ajoute un nouveau sous-nub (Structure, PabCloisons, YAXN… selon le cas)
     * dans un nouveau fieldset
     */
    protected addSubNub(after: FieldSet, clone: boolean = false) {
        const newFs = this._container.addFromTemplate(0, after.indexAsKid());
        if (clone) {
            const prms = after.backupParameters();
            // replace in-place to change properties (overkill)
            // @WTF why only those two ?
            newFs.setPropValue("structureType", after.properties.getPropValue("structureType"));
            newFs.setPropValue("loiDebit", after.properties.getPropValue("loiDebit"));
            newFs.restoreParameters(prms);
        }
    }
}
